/*******************************************************************************
* Copyright (C) 2019 China Micro Semiconductor Limited Company. All Rights Reserved.
*
* This software is owned and published by:
* CMS LLC, 21F, Building T1, Qianhai Financial Center, No.91 Guiwan 3rd Road, 
* Qianhai Shenzhen-Hong Kong Cooperation Zone, Shenzhen City , Guangdong Province,
* P R China.
*
* BY DOWNLOADING, INSTALLING OR USING THIS SOFTWARE, YOU AGREE TO BE BOUND
* BY ALL THE TERMS AND CONDITIONS OF THIS AGREEMENT.
*
* This software contains source code for use with CMS
* components. This software is licensed by CMS to be adapted only
* for use in systems utilizing CMS components. CMS shall not be
* responsible for misuse or illegal use of this software for devices not
* supported herein. CMS is providing this software "AS IS" and will
* not be responsible for issues arising from incorrect user implementation
* of the software.
*
* This software may be replicated in part or whole for the licensed use,
* with the restriction that this Disclaimer and Copyright notice must be
* included with each copy of this software, whether used in part or whole,
* at all times.
*/

/*****************************************************************************/
/** \file mdu.h
**
** 
**
** History:
** 
*****************************************************************************/
#ifndef __MDU_H__
#define __MDU_H__
/*****************************************************************************/
/* Include files */
/*****************************************************************************/
#include "cms80fx51x.h"
/*****************************************************************************/
/* Global pre-processor symbols/macros ('#define') */
/*****************************************************************************/



/*****************************************************************************/
/* Global type definitions ('typedef') */
/*****************************************************************************/



/*****************************************************************************/
/* Global variable declarations ('extern', definition in C source) */
/*****************************************************************************/


/*****************************************************************************/
/* Global function prototypes ('extern', definition in C source) */
/*****************************************************************************/
/******************************************************************************
 ** \brief MDU_LDiv
 **		   32λ16λ
 ** \param [in] DividendAddr 32λַ
 **				DivsiorAddr  16λַ
 **				QuotientAddr 32λ̵ַ	
 **				RemainderAddr:  16Ϊַ
 ** \return 0: 쳣
 **			1
******************************************************************************/
uint8_t  MDU_LDiv(uint32_t * DividendAddr, uint16_t *DivsiorAddr, uint32_t *QuotientAddr, uint16_t * RemainderAddr);

/******************************************************************************
 ** \brief MDU_Div
 **		   16λ16λ
 ** \param [in] DividendAddr 16λַ
 **				DivsiorAddr  16λַ
 **				QuotientAddr 16λ̵ַ	
 **				RemainderAddr:  16Ϊַ
 ** \return 0: 쳣
 **			1
******************************************************************************/
uint8_t  MDU_Div(uint16_t * DividendAddr, uint16_t *DivsiorAddr, uint16_t *QuotientAddr, uint16_t * RemainderAddr);


/******************************************************************************
 ** \brief MDU_Mul
 **		   16λ16λ˷
 ** \param [in] Param0Addr 16λַ
 **				Param1Addr  16λַ
 **				Result 32λַ	
 ** \return 0: ˷쳣
 **			1˷
******************************************************************************/
void MDU_Mul(uint16_t * Param0Addr, uint16_t *Param1Addr, uint32_t *Result);

/******************************************************************************
 ** \brief MDU_LeftShift
 **		  32λ߼
 ** \param [in] ParamAddr ݵַ
**				ShiftVlaue: λλ (1~31)
 ** \return 0: λ쳣
 **			1λ
******************************************************************************/
uint8_t  MDU_LeftShift(uint32_t * ParamAddr, uint8_t ShiftVlaue);
/******************************************************************************
 ** \brief MDU_RightShift
 **		  32λ߼
 ** \param [in] ParamAddr ݵַ
**				ShiftVlaue: λλ (1~31)
 ** \return 0: λ쳣
 **			1λ
******************************************************************************/
uint8_t  MDU_RightShift(uint32_t * ParamAddr, uint8_t ShiftVlaue);

#endif /* __MDU_H__ */
